Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jxweb
Class HttpSetRequestParameter

    java.lang.Object
      |
      +--net.sourceforge.jxweb.HttpStep
            |
            +--net.sourceforge.jxweb.HttpSetRequestParameter

All Implemented Interfaces:
  JXTestStep

public class HttpSetRequestParameter
extends HttpStep

This class provides a means of directly setting request parameters on the `WebRequest`. By default it will use the 'req' parameter.

Author:
  avollmer

Field Summary
`String` | `file` The name of the file to load the parameter value from
`boolean` | `indirect` A flag indicating that the 'value' property is really the name for another property
`String` | `parameter` The name of the parameter to set
`String` | `request` The name of the `WebRequest` object to use.
`String` | `value` The value to use for the parameter
`ArrayList` | `values` The set of values to use for a multi-valued parameter

Fields inherited from class net.sourceforge.jxweb.HttpStep
`properties, testCase, webConversation, webConversationName`

Constructor Summary
`HttpSetRequestParameter()`

Method Summary
`void` | `eval(JXTestCase testCase)` Implements the `eval()` method of the `JXTestSTep` interface

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    public String request

  The name of the `WebRequest` object to use. Defaults to 'req'

### parameter

    public String parameter

  The name of the parameter to set

### file

    public String file

  The name of the file to load the parameter value from

### value

    public String value

  The value to use for the parameter

### indirect

    public boolean indirect

  A flag indicating that the 'value' property is really the name for another property

### values

    public ArrayList values

  The set of values to use for a multi-valued parameter

Constructor Detail

### HttpSetRequestParameter

    public HttpSetRequestParameter()

Method Detail

### eval

    public void eval(JXTestCase testCase)
              throws Throwable

  Implements the `eval()` method of the `JXTestSTep` interface
  Overrides:
    `eval` in class `HttpStep`
  Parameters:
    `testCase` -
  Throws:
    `Throwable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD